#1125 (in 2.5.6) mysqlversion check with multiple servers

2.5.5-pl1
fixed
None
1
2013-06-11
2004-01-26
Anonymous
No

When phpmyadmin is configured to be able to use
multiple servers, some constants are checked before
being defined (when you have'nt chosen a server yet).

an example of this:
in main.php

if (PMA_MYSQL_INT_VERSION < 32332) {
echo '<p class="warning">' . sprintf($strUpgrade,
'MySQL', '3.23.32') . '</p>' . "\n";
}

should be something like

if (defined('PMA_MYSQL_INT_VERSION') &&
PMA_MYSQL_INT_VERSION < 32332) {
echo '<p class="warning">' . sprintf($strUpgrade,
'MySQL', '3.23.32') . '</p>' . "\n";
}

Discussion

  • Marc Delisle

    Marc Delisle - 2004-01-27
    • assigned_to: nobody --> lem9
     
  • Marc Delisle

    Marc Delisle - 2004-01-27

    Logged In: YES
    user_id=210714

    Thanks. I did not find other cases. Fixed.

     
  • Marc Delisle

    Marc Delisle - 2004-01-27
    • priority: 5 --> 1
    • summary: mysqlversion check with multiple servers --> (in 2.5.6) mysqlversion check with multiple servers
    • status: open --> open-fixed
     
  • Marc Delisle

    Marc Delisle - 2004-03-01
    • status: open-fixed --> closed-fixed
     
  • Michal Čihař

    Michal Čihař - 2013-06-11
    • Status: closed-fixed --> fixed
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks